Subject: Re: bug#75342: [PATCH] Speed up asynchronous man page fontifying

From: Björn Bidar <[email-masked]>
Date: Fri, 10 Jan 2025 16:36:36 +0200

Juri Linkov <[email-masked]> writes:

>> I tried the patch on OpenSUSE Linux:
>> - with patch: gcc-14 man page formatted [in 12.790 seconds]
>> - without patch: gcc-14 man page formatted [in 24.272 seconds]
>>
>> Man-prefer-synchronous-call t: gcc-14 man page formatted [in 0.559 seconds]
>>
>> I was surprised how fast the synchronous formatting was. Why is the
>> asynchronous operating so slow?
>
> Maybe it performs full redisplay after processing every small chunk?
> When the synchronous formatting is so fast, it makes sense to enable
> Man-prefer-synchronous-call by default.  By speed up asynchronous
> would be nice in any case regardless of the default value.

Can we disable or delay redisplay during processing of every chunk?